Modify

Opened 6 years ago

Closed 9 months ago

#8939 closed defect (fixed)

Keystroke errors in AddTagsDialog

Reported by: rickmastfan67 Owned by: team
Priority: trivial Milestone: 18.05
Component: Core Version:
Keywords: Cc: akks

Description

To be honest, I'm not sure how I triggered these, but I'd thought I'd post them anyways in case you could figure out how they happened and can fix them. Doesn't seem to effect anything, hence the "trivial" priority.

Keystroke ctrl pressed 1 is already assigned to org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$4@23143b5, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$4@13a0381a

Keystroke shift ctrl pressed 1 is already assigned to org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$5@70542132, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$5@7bc33d06
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-08-04 01:35:11
Last Changed Author: Don-vip
Revision: 6111
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-08-04 02:49:28 +0200 (Sun, 04 Aug 2013)
Last Changed Rev: 6111

Identification: JOSM/1.5 (6111 en) Windows 7 64-Bit
Memory Usage: 233 MB / 2730 MB (98 MB allocated, but free)
Java version: 1.7.0_25, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Xmx3072M]
Dataset consistency test: No problems found

Plugin: ImageryCache (29690)
Plugin: OpeningHoursEditor (29778)
Plugin: buildings_tools (29778)
Plugin: mapdust (29525)
Plugin: measurement (29750)
Plugin: mirrored_download (29753)
Plugin: openstreetbugs (29435)
Plugin: osmarender (29639)
Plugin: reverter (29771)
Plugin: turnrestrictions (29435)
Plugin: undelete (29555)
Plugin: utilsplugin2 (29771)

Attachments (1)

double_add.PNG (32.6 KB) - added by Don-vip 9 months ago.

Download all attachments as: .zip

Change History (8)

comment:1 Changed 6 years ago by Don-vip

Cc: akks added

comment:2 Changed 5 years ago by Don-vip

Summary: Keystroke errorsKeystroke errors in AddTagsDialog

comment:3 Changed 5 years ago by rickmastfan67

This is still happening in r6627.

It seems to happen when I'm too quick to hit the "ENTER" button on my keyboard after hitting the "+Add" button when I know the previous tag in that window is the same on I need. Plus when this happens, it seems I somehow open two of the "Add value?" windows.

INFO: Keystroke ctrl pressed 1 is already assigned to org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$4@6d67ae90, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$4@e98243b
INFO: Keystroke shift ctrl pressed 1 is already assigned to org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$5@31f5a80d, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$5@2672a4f9

INFO: Keystroke ctrl pressed 2 is already assigned to org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$4@433007f, will be overridden by  org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$4@514f90ec
INFO: Keystroke shift ctrl pressed 2 is already assigned to org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$5@30659400, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$5@3eb39fa8

INFO: Keystroke ctrl pressed 3 is already assigned to org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$4@298d7d87, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$4@3100dcab
INFO: Keystroke shift ctrl pressed 3 is already assigned to org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$5@82c3f61, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$5@2f9777af

INFO: Keystroke ctrl pressed 4 is already assigned to org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$4@4ec6869a, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$4@7cd40bfb
INFO: Keystroke shift ctrl pressed 4 is already assigned to org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$5@4baf10dd, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$5@455ecbc3

INFO: Keystroke ctrl pressed 5 is already assigned to org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$4@75701f57, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$4@5cb79157
INFO: Keystroke shift ctrl pressed 5 is already assigned to org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$5@1419c4fd, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$5@17a7164f
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-01-05 02:34:30
Last Changed Author: stoecker
Revision: 6627
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-01-04 20:21:07 +0100 (Sat, 04 Jan 2014)
Last Changed Rev: 6627

Identification: JOSM/1.5 (6627 en) Windows 7 64-Bit
Memory Usage: 243 MB / 1820 MB (130 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Xmx2048M]
Dataset consistency test: No problems found

Plugin: ImageryCache (30135)
Plugin: OpeningHoursEditor (30117)
Plugin: buildings_tools (30057)
Plugin: measurement (30104)
Plugin: mirrored_download (30162)
Plugin: notes (v0.8)
Plugin: osmarender (29854)
Plugin: reverter (30031)
Plugin: turnrestrictions (30145)
Plugin: undelete (29854)
Plugin: utilsplugin2 (30177)

comment:4 Changed 5 years ago by rickmastfan67

Still happening in r6890.

But I've found a more soundproof way to trigger the 'keystroke' error messages.

It happens when you almost simultaneously left click with your mouse on the "+Add" button and hit the enter key on your keyboard. When that happen, JOSM will create 2 'Add value' windows, one on top of the other. And I'm now almost 90% of the time able to duplicate this if I'm intentionally trying to do so.

There should be a way to prevent JOSM from attempting to create the second window the moment the first one is created. Then maybe the 'keystroke' errors here might disappear for good.

Changed 9 months ago by Don-vip

Attachment: double_add.PNG added

comment:5 Changed 9 months ago by Don-vip

Still possible with r13853:

2018-05-26 23:25:36.760 INFO: Keystroke ctrl pressed 1 is already assigned to org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$6@5013e9c6, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$6@56c8caca
2018-05-26 23:25:36.760 INFO: Keystroke shift ctrl pressed 1 is already assigned to org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$7@7bba4f8f, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog$7@54a7cd90


comment:6 Changed 9 months ago by Don-vip

Milestone: 18.05

comment:7 Changed 9 months ago by Don-vip

Resolution: fixed
Status: newclosed

In 13854/josm:

fix #8939 - prevent add/edit tag dialog to be created twice when hitting simultaneously enter key and button click

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.